<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yida.data.system.mapper.EduLabelMapper">

    <select id="findDeptLabelList" resultType="com.yida.data.common.core.entity.system.EduLabel">
    SELECT DISTINCT
	*
    FROM
	`edu_label`
    WHERE
	del_flag = 0
	<if test="deptId != null">
        and dept_id = #{deptId}
    </if>
    <if test="type !=null">
        and `type` = #{type}
    </if>
    <if test="label !=null and label != ''">
        and label like concat ('%',#{label},'%')
    </if>
    ORDER BY
	create_date DESC
    </select>
</mapper>
